<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'location',

    /*
     * Package.
     */
    'package'   => 'push_notification',

    /*
     * Modules.
     */
    'modules'   => ['push_notification'],

    
    'push_notification'       => [
        'model' => [
            'model'                 => \Location\PushNotification\Models\PushNotification::class,
            'table'                 => 'push_notifications',
            'presenter'             => \Location\PushNotification\Repositories\Presenter\PushNotificationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'section',  'list_id',  'status',  'send_date',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'push_notification/push_notification',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Location',
            'package'   => 'PushNotification',
            'module'    => 'PushNotification',
        ],

    ],
];
