# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/location/push_notification/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/location/push_notification/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Location\\PushNotification\\": "packages/location/push_notification/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Location\PushNotification\Providers\PushNotificationServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'PushNotification'  => Location\PushNotification\Facades\PushNotification::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Location\\PushNotificationTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Location\PushNotification\Providers\PushNotificationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Location\PushNotification\Providers\PushNotificationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Location\PushNotification\Providers\PushNotificationServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/push_notification/{modulename}

**User**

    http://path-to-route-folder/user/push_notification/{modulename}

**Public**

    http://path-to-route-folder/push_notifications


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/push_notification/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/push_notification/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/push_notification/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/push_notification/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/push_notification/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/push_notification/{modulename}/{slug}
    METHOD: GET