Lavalite package that provides push_notification management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `location/push_notification`.

    "location/push_notification": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Location\PushNotification\Providers\PushNotificationServiceProvider::class,

And also add it to alias

    'PushNotification'  => Location\PushNotification\Facades\PushNotification::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Location\\PushNotificationTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Location\PushNotification\Providers\PushNotificationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Location\PushNotification\Providers\PushNotificationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Location\PushNotification\Providers\PushNotificationServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/push_notification/{modulename}

**User**

    http://path-to-route-folder/user/push_notification/{modulename}

**Public**

    http://path-to-route-folder/push_notifications


### API endpoints

**List**

    http://path-to-route-folder/api/user/push_notification/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/push_notification/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/push_notification/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/push_notification/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/push_notification/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/push_notification/{modulename}/{slug}
    METHOD: GET