<?php

// API routes  for push_notification
Route::prefix('{guard}/push_notification')->group(function () {
    Route::get('push_notification/form/{element}', 'PushNotificationAPIController@form');
    Route::resource('push_notification', 'PushNotificationAPIController');
});

// Public routes for push_notification
Route::get('push_notifications/', 'PushNotificationPublicController@index');
Route::get('push_notifications/{slug?}', 'PushNotificationPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for push_notifications
            Route::prefix('{guard}/push_notification')->group(function () {
                Route::get('push_notification/form/{element}', 'PushNotificationAPIController@form');
                Route::apiResource('push_notification', 'PushNotificationAPIController');
            });
            // Public routes for push_notifications
            Route::get('push_notification/PushNotification', 'PushNotificationPublicController@getPushNotification');
        }
    );
}

