<?php

// web routes  for push_notification
Route::prefix('{guard}/push_notification')->group(function () {
    Route::resource('push_notification', 'PushNotificationResourceController');
});

// Public routes for push_notification
Route::get('push_notifications/', 'PushNotificationPublicController@index');
Route::get('push_notifications/{slug?}', 'PushNotificationPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'PushNotificationResourceController');
            });
            // Public routes for pages
            Route::get('push_notifications/', 'PushNotificationPublicController@index');
            Route::get('push_notifications/{slug?}', 'PushNotificationPublicController@show');
        }
    );
}

