<?php

namespace Location\PushNotification;

use User;

class PushNotification
{
    /**
     * $push_notification object.
     */
    protected $push_notification;

    /**
     * Constructor.
     */
    public function __construct(\Location\PushNotification\Interfaces\PushNotificationRepositoryInterface $push_notification)
    {
        $this->push_notification = $push_notification;
    }

    /**
     * Returns count of push_notification.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.push_notification.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->push_notification->pushCriteria(new \Litepie\Location\Repositories\Criteria\PushNotificationUserCriteria());
        }

        $push_notification = $this->push_notification->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('push_notification::' . $view, compact('push_notification'))->render();
    }
}
