<?php

namespace Location\PushNotification\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PushNotificationTransformer extends TransformerAbstract
{
    public function transform(\Location\PushNotification\Models\PushNotification $push_notification)
    {
        return [
            'id'                => $push_notification->getRouteKey(),
            'key'               => [
                'public'    => $push_notification->getPublicKey(),
                'route'     => $push_notification->getRouteKey(),
            ], 
            'title'             => $push_notification->title,
            'section'           => $push_notification->section,
            'list_id'           => $push_notification->list_id,
            'send_date'         => $push_notification->send_date,
            'slug'              => $push_notification->slug,
            'deleted_at'        => $push_notification->deleted_at,
            'url'               => [
                'public'    => trans_url('push_notification/'.$push_notification->getPublicKey()),
                'user'      => guard_url('push_notification/push_notification/'.$push_notification->getRouteKey()),
            ], 
            'status'            => trans('app.'.$push_notification->status),
            'created_at'        => format_date($push_notification->created_at),
            'updated_at'        => format_date($push_notification->updated_at),
        ];
    }
}